#! /bin/bash
#=======================================================================
#			COMMANDES DE BASE
#=======================================================================
man [commande]

pwd						# Où suis-je ?

file [FICHIER]			# Infos sur un fichier

ls						# liste du répertoire courant
ls -al					# liste + détailes+ fichiers cachés

cp [SOURCE] [DEST]		# Copier-Coller Fichier
cp -r [SOURCE] [DEST]	# Copier-Coller récursif (dossiers)
cp -u [SOURCE] [DEST]   # update

cd [répertoire]			# Change Directory 
cd ..					# Retour
cd /					# Racine

mkdir [rep]				# Make Directory (créer répertoire)

mv	[SOURCE] [DEST]			# Rename / Couper-Coller

ln -s [SOURCE] [NON LIEN]	# link --> Création d'un raccourcis

cat [FICHIER]				# afficher fichier dans console
cat [FICHIER_1][FICHIER_2] > [DEST]	# Concaténation de fichiers 

chmod +x [FICHIER]			# Rendre exécutable un fichier
chmod 777 [FICHIER/DOSSIER] # UGO (User/Group/Others) rwx (read/write/exec)

# Exécution Programme
chmod +x [PROG]				# Rendre exécutable
./[PROG]					# Exécution Programme Binaire

bash [PROG].sh				# Exécution Shell

#=======================================================================
#			RECHERCHE D'UN FICHIER
#=======================================================================
find ./[REPERTOIRE RACINE DE RECHERCHE] -name [FICHIER_RECHERCHE] -print
grep "phrase dans un fichier" [fichier] # mot/phrase dans un fichier

#=======================================================================
#			GESTION DES PAQUEST UBUNTU
#=======================================================================
nano /etc/apt/source.list				# Liste des paquetages
apt-get update && apt-get upgrade		# mise à jour paquetages
apt-get install [PACKAGE]
apt-get remove [PACKAGE]

#=======================================================================
#			COMPRESSION / DECOMPRESSION
#=======================================================================
# ZIP
zip -r [NOM].zip [A_COMPRESSER]					# Compression
unzip [A_DECOMPRESSER] -d [REPERTOIRE_DEST]		# Extraction

# TAR
tar -cvf [NOM].tar [REP_A_ARCHIVER] # Archivage

tar -czvf [NOM].tar.gz  [REP_A_COMPRESSER]  # tar -cv MonRepertoire | gzip > archive.tar.gz
tar -cjvf [NOM].tar.bz2 [REP_A_COMPRESSER]  # tar -cv MonRepertoire | bzip2 > archive.tar.bz2

tar -xvf [archive].tar				# Extraction

tar -xvzf [REP_COMP].tar.gz			# Extraction
tar -xvjf [REP_COMP].tar.bz2 
#=======================================================================
#			VARIABLES D'ENVIRONNEMENT
#=======================================================================
printenv 									# liste des variables d'evironnement
echo $PATH									# Affichage variable PATH
export PATH=$PATH:/home/user/mes_prog		# Ajouter un répertoire à PATH
#=======================================================================
#	                    RESEAU
#=======================================================================
ifconfig						# Affichage adresses IP
ifconfig eth0 192.168.0.1	 	# Forçage adresse IP pour eth0
ping 192.168.0.2
ping www.google.com				# Test liaison
route -n						# affichage du routage

# CONFIGURATION DU PROXY
export http_proxy=http://[NOM_UTILISATEUR]:[PASSWORD]@proxy.enib.fr:3128

# CONNECTION SSH
ssh pi@192.168.1.12 			# cf ~/.ssh/known_hosts

# COPIE SECURISEE Host --> Cible
scp [FICHIER] pi@192.168.1.12:/home/
#=======================================================================
#	                   GESTION DES PROCESSUS
#=======================================================================
# Liste des Processus
top
ps -el

# Stop processus
kill -9 [N°PROC]			# Kill forcé
pkill [NOM_PROCESSUS]
#=======================================================================
#	                   MONTER UNE CLE / DISQUE
#=======================================================================
sudo fdisk -l					 
#ou
lsblk							# Quel /dev/sd[xi] correspond à la clé ?

mkdir /mnt/[REP]				# Création répertoire de montage
mount /dev/sd[xi] /mnt/[REP]	# Montage

umount /dev/sd[xi]				# Démontage
#ou
umount /mnt/[REP]
#=======================================================================
#	                   CREER LIVE USB SOUS LINUX
#=======================================================================
lsblk		# quel device ?
umount /dev/sd[x]
sudo dd bs=4M if=[nom].iso of=/dev/sd[1 lettre]
sync
#=======================================================================
#	                   FORMATAGE CLE USB
#=======================================================================
# !! Ne pas aller trop vite !!

sudo fdisk -l				# Quel /dev/sd[xi] correspond à la clé ?
umount /media/votre_disque	# Démontage si déjà monté
ls -l /dev/disk/by-id/*usb*

sudo mkfs.vfat /dev/sda[x]	#formatage
#=======================================================================
#	                   GESTION MULTIECRAN
#=======================================================================
xrandr													# cf NOM_SORTIE
xrandr -s 1600x900										# Changer la Résolution
xrandr --output [NOM_SORTIE] --mode 1024x768 			# changer résol NOM_SORTIE	
xrandr --output [NOM_SORTIE] --mode 1024x768 --same-as LVDS 	# Ecrans Miroir
